Name:		mcelog
Version:	175
Release:	%mkrel 3
Summary:	The kernel machine check logger
License:	GPLv2
Group:		System/Kernel and hardware
Url:		https://www.mcelog.org/
Source0:	https://github.com/andikleen/mcelog/archive/v%{version}/%{name}-%{version}.tar.gz
Source10:	mcelog.service
ExclusiveArch:	%ix86 x86_64

%description
mcelog is the user space backend for logging machine check errors
reported by the hardware to the kernel. The kernel does the immediate
actions (like killing processes etc.) and mcelog decodes the errors
and manages various other advanced error responses like
offlining memory, CPUs or triggering events.

It primarily handles machine checks and thermal events, which
are reported for errors detected by the CPU.

%prep
%setup -q

%build
%make_build \
	CFLAGS="%{optflags}" \
	LDFLAGS="%{ldflags}"

%install
%make_install

install -Dpm644 mcelog.logrotate %{buildroot}/%{_sysconfdir}/logrotate.d/%{name}

# Don't install as we prefer systemd service
#install -Dpm755 mcelog.cron %{buildroot}/%{_sysconfdir}/cron.hourly/%{name}

#systemd
install -Dpm644 %{_sourcedir}/mcelog.service %{buildroot}%{_unitdir}/%{name}.service

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc README.md README.releases CHANGES
%{_sbindir}/mcelog
%{_mandir}/man8/mcelog.8*
%{_mandir}/man5/mcelog.conf.5*
%{_mandir}/man5/mcelog.triggers.5*
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/mcelog/mcelog.conf
%{_sysconfdir}/mcelog/bus-error-trigger
%{_sysconfdir}/mcelog/cache-error-trigger
%{_sysconfdir}/mcelog/dimm-error-trigger
%{_sysconfdir}/mcelog/iomca-error-trigger
%{_sysconfdir}/mcelog/page-error-trigger
%{_sysconfdir}/mcelog/page-error-post-sync-soft-trigger
%{_sysconfdir}/mcelog/page-error-pre-sync-soft-trigger
%{_sysconfdir}/mcelog/unknown-error-trigger
%{_sysconfdir}/mcelog/socket-memory-error-trigger
%{_sysconfdir}/mcelog/page-error-counter-replacement-trigger
%{_unitdir}/%{name}.service


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 175-3.mga10
+ Revision: 2195898
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 175-2.mga9
+ Revision: 1793823
- Mageia 9 Mass Rebuild

* Sun Jan 30 2022 mrambo3501 <mrambo3501> 175-1.mga9
+ Revision: 1770518
- version 175

* Sat May 30 2020 zezinho <zezinho> 170-1.mga8
+ Revision: 1589004
- new version 170

* Sun Apr 26 2020 zezinho <zezinho> 169-1.mga8
+ Revision: 1572276
- new version  169

* Tue Feb 25 2020 zezinho <zezinho> 168-1.mga8
+ Revision: 1550446
- new version

* Tue Feb 18 2020 umeabot <umeabot> 167-2.mga8
+ Revision: 1540776
- Mageia 8 Mass Rebuild

* Mon Dec 16 2019 zezinho <zezinho> 167-1.mga8
+ Revision: 1468319
- new version

* Mon Nov 18 2019 zezinho <zezinho> 166-1.mga8
+ Revision: 1461653
- new version

* Tue Oct 29 2019 zezinho <zezinho> 165-1.mga8
+ Revision: 1456621
- new version 165

* Sat Aug 31 2019 zezinho <zezinho> 164-1.mga8
+ Revision: 1435982
- new version 164

* Wed Feb 20 2019 zezinho <zezinho> 162-1.mga7
+ Revision: 1368776
- new version 162

* Thu Sep 27 2018 zezinho <zezinho> 161-1.mga7
+ Revision: 1308647
- new version 161

* Sat Aug 25 2018 zezinho <zezinho> 160-1.mga7
+ Revision: 1254410
- new version 160

* Wed May 16 2018 zezinho <zezinho> 157-1.mga7
+ Revision: 1229793
- new version 157

* Sun Feb 18 2018 zezinho <zezinho> 154-1.mga7
+ Revision: 1202637
- fix file list
- new version 154

* Mon Feb 08 2016 umeabot <umeabot> 101-4.mga6
+ Revision: 945022
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 101-3.mga5
+ Revision: 747401
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 101-2.mga5
+ Revision: 682314
- Mageia 5 Mass Rebuild

* Sun Jun 22 2014 wally <wally> 101-1.mga5
+ Revision: 638694
- new version 101
- update URL and description
- add systemd support and remove cron entry
- clean .spec

* Mon Feb 04 2013 pterjan <pterjan> 1.0-0.pre.git20110119.2.mga3
+ Revision: 394543
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 erwan <erwan> 1.0-0.pre.git20110119.1.mga1
+ Revision: 24676
- imported package mcelog


* Wed Jan 19 2011 Erwan Velu <erwanaliasr1@gmail.com> 1.0-0.pre.git20110119.1mga1
- new git tree

* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9-0.pre.git20090623.2mdv2011.0
+ Revision: 620308
- the mass rebuild of 2010.0 packages

* Fri Aug 21 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.9-0.pre.git20090623.1mdv2010.0
+ Revision: 419325
- Updated to git snapshot version (0.9pre-git20090623) compatible with
  kernel 2.6.31
- Updated BuildRoot/License tags.

* Mon Mar 10 2008 Erwan Velu <erwan@mandriva.org> 0.8-0.2mdv2008.1
+ Revision: 183364
- Rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 04 2007 Erwan Velu <erwan@mandriva.org> 0.8-0.1mdv2008.0
+ Revision: 22425
- 0.8pre
- Import mcelog



* Wed May 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.7-1mdk
- New release 0.7

* Thu Feb 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.6-1mdk
- new version
- spec cleanup
- fix optimisations

* Mon Dec 19 2005 Erwan Velu <erwan@seanodes.com> 0.5-1mdk
- Initial Release
